Subject: Re: at home, rxvt executes bash at startup, but not at work
From: Michael Hoffman <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Aug 2002 12:09:17 -0500 (Central Daylight Time)

On Thu, 8 Aug 2002, Karr, David wrote:

> C:\cygwin\bin\rxvt.exe -bg beige -sr -ls -sl 1000
>
> I have both home and work set the same way, except I'm loading the "Andale
> Mono" font at home.  At home, when this executes, it executes bash and uses
> my $HOME/.bashrc and $HOME/.bash_profile.  I can tell because it comes up
> with my login prompt.

My rxvt shortcut is:

C:\cygwin\usr\local\bin\run.exe C:\cygwin\bin\rxvt.exe -bg black -fg white
-sr -sl 1000 -fn "Fixedsys" -ls -e /usr/bin/bash --login -i

The --login -i makes your bash an interactive login shell, and will cause
it to execute ~/.bash_profile (but not ~/.bashrc). See the bash info under
Bash Features::Interactive Shells:

   So, typically, your `~/.bash_profile' contains the line
     `if [ -f ~/.bashrc ]; then . ~/.bashrc; fi'

Run allows execution of a console mode GUI program without console windows
appearing.

http://www.neuro.gatech.edu/users/cwilson/cygutils/run/index.html
--
Michael Hoffman <[email-masked]>
The University of Texas at Austin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/